Home

# Class goog.ui.emoji.ProgressiveEmojiPaletteRenderer

Progressively renders an emoji palette. The progressive renderer tries to use img tags instead of background-image for sprited emoji, since most browsers render img tags progressively (i.e., as the data comes in), while only very new browsers render background-image progressively.

extends goog.ui.emoji.EmojiPaletteRenderer

Instance Method Summary
| `buildElementFromSpriteMetadata(?goog.dom.DomHelper dom, ?goog.ui.emoji.SpriteInfo spriteInfo, string displayUrl) ⇒ ?HTMLDivElement` Builds the inner contents of a palette item out of sprite metadata.
| `updateAnimatedPaletteItem(?Element item, ?Image animatedImg)` Modifies a palette item containing an animated emoji, in response to the animated emoji being successfully downloaded.